%define major 4
%define libname %mklibname xm %{major}
%define mrmlibname %mklibname mrm %{major}
%define uillibname %mklibname uil %{major}
%define develname %mklibname %name -d

Summary: The Motif widget toolkit and window manager
Name: motif
Version: 2.3.8
Release: %mkrel 9
License: LGPLv2+
Group: System/Libraries
Source:  %{name}-%{version}.tar.gz
Source1: xmbind
URL: https://motif.ics.com/

BuildRequires:	byacc
BuildRequires:	pkgconfig
BuildRequires:	flex
BuildRequires:	pkgconfig(xt)
BuildRequires:	pkgconfig(xft)
BuildRequires:	pkgconfig(xpm)
BuildRequires:	x11-data-bitmaps
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(libpng)

Patch0: openMotif-2.3.0-no_demos.patch
Patch1: openMotif-2.2.3-uil_lib.patch
Patch2: openMotif-2.3.0-rgbtxt.patch
Patch3: openMotif-2.3.0-mwmrc_dir.patch
Patch4: openMotif-2.3.0-bindings.patch
Patch5: openMotif-2.3.0-no_X11R6.patch
Patch6: openMotif-2.3.0-fix-str-fmt.patch
Patch7:	openmotif-2.3.3-jpeg.patch
Patch9:	motif-2.3.4-freetype-fontconfig.patch
Patch10: motif-2.3.8-default-source.patch
Patch11: motif-2.3.8-system-libxpm.patch

Conflicts: lesstif <= 0.92.32-6
%rename openmotif

%description
Motif is a freely available source code distribution for the
Motif user interface component toolkit and the Motif Window Manager.

%package -n %{libname}
Summary: Main Motif library
Group: System/Libraries

%description -n %{libname}
This is the main Motif widget toolkit runtime library.

%package -n %{mrmlibname}
Summary: The Motif widget fetching library
Group: System/Libraries

%description -n %{mrmlibname}
This is the Motif library used for fetching widgets from UIL.

%package -n %{uillibname}
Summary: The Motif User Interface Language runtime library
Group: System/Libraries

%description -n %{uillibname}
This library can be used to handle Motif UIL source files.

%package -n %{develname}
Summary: Motif development libraries and header files
Group: Development/C
Conflicts: lesstif-devel <= 0.92.32-6
Provides: lib%{name}-devel = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}
Provides: %{_lib}openmotif-devel = %{version}-%{release}
Requires: %{libname} = %{version}-%{release}
Requires: %{mrmlibname} = %{version}-%{release}
Requires: %{uillibname} = %{version}-%{release}

%description -n %{develname}
This is the Motif %{version} development environment. It includes the
static libraries and header files necessary to build Motif applications.

%prep
%setup -q
%patch -P 0 -p1 -b .no_demos
%patch -P 1 -p1 -b .uil_lib
%patch -P 2 -p0 -b .rgbtxt
%patch -P 3 -p1 -b .mwmrc_dir
%patch -P 4 -p1 -b .bindings
%patch -P 5 -p0 -b .no_X11R6
%patch -P 6 -p1 -b .str-fmt
%patch -P 7 -p1 -b .jpeg
%patch -P 9 -p1 -b .fontconfig
%patch -P 10 -p1 -b .default-source
%patch -P 11 -p1 -b .system-libxpm

# remove bundled source files that duplicate libxpm
rm -f lib/Xm/Xpm*

for i in doc/man/man3/{XmColumn,XmDataField}.3; do
	iconv -f windows-1252 -t utf-8 < "$i" > "${i}_"
	mv "${i}_" "$i"
done

%build
libtoolize --copy --force --install
aclocal -I.
autoheader
automake -a -c -f --foreign
autoconf
CFLAGS="$RPM_OPT_FLAGS -D_FILE_OFFSET_BITS=64 -std=gnu17" \
%configure \
   --enable-static

# do not use rpath
#perl -pi -e 's|hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=\"-L\\\$libdir\"|g;' libtool

make clean
%make_build

%install
%make_install
mkdir -p %{buildroot}/etc/X11/xinit/xinitrc.d \
         %{buildroot}/usr/include

install -m 755 %{SOURCE1} %{buildroot}/etc/X11/xinit/xinitrc.d/xmbind.sh

rm -fr %{buildroot}%{_libdir}/*.la \
       %{buildroot}%{_datadir}/Xm/doc

%files
%doc COPYING README RELEASE RELNOTES
%{_sysconfdir}/X11/xinit/xinitrc.d/xmbind.sh
%{_sysconfdir}/X11/mwm/system.mwmrc
%{_bindir}/mwm
%{_bindir}/xmbind
%{_includedir}/X11/bitmaps/*
%{_datadir}/X11/bindings
%{_mandir}/man1/mwm*
%{_mandir}/man1/xmbind*
%{_mandir}/man4/mwmrc*

%files -n %{libname}
%{_libdir}/libXm.so.%{major}{,.*}

%files -n %{mrmlibname}
%{_libdir}/libMrm.so.%{major}{,.*}

%files -n %{uillibname}
%{_libdir}/libUil.so.%{major}{,.*}

%files -n %{develname}
%{_bindir}/uil
%{_includedir}/Mrm
%{_includedir}/Xm
%{_includedir}/uil
%{_libdir}/lib*.a
%{_libdir}/lib*.so
%{_mandir}/man1/uil.1*
%{_mandir}/man3/*
%{_mandir}/man5/*


%changelog
* Tue May 20 2025 ns80 <ns80> 2.3.8-9.mga10
+ Revision: 2185202
- try to fix building with GCC 15

* Sun Dec 22 2024 pterjan <pterjan> 2.3.8-8.mga10
+ Revision: 2127854
- Rebuild for patchN deprecation

* Sun Jun 11 2023 daviddavid <daviddavid> 2.3.8-7.mga9
+ Revision: 1961781
- remove unmaintained libXp support (fix mga#31867)

* Sun Feb 05 2023 cjw <cjw> 2.3.8-6.mga9
+ Revision: 1938578
- remove unused includes of bundled xpm header
- patch11: use libxpm instead of bundled copies of libxpm sources

* Sat Apr 16 2022 ghibo <ghibo> 2.3.8-5.mga9
+ Revision: 1850726
- Bump release for rebuilding
- Fix xmbind.sh script to avoid zombies (as of bug #27362)
- Fix ancient xmbind X11 path.

* Mon Mar 14 2022 umeabot <umeabot> 2.3.8-4.mga9
+ Revision: 1790995
- Mageia 9 Mass Rebuild

* Mon Mar 14 2022 umeabot <umeabot> 2.3.8-3.mga9
+ Revision: 1790994
- Mageia 9 Mass Rebuild
+ danf <danf>
- Switch URLs from http: to https:
+ wally <wally>
- drop old obsoletes

* Tue Feb 11 2020 umeabot <umeabot> 2.3.8-2.mga8
+ Revision: 1488931
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Mon Aug 27 2018 cjw <cjw> 2.3.8-1.mga7
+ Revision: 1255076
- 2.3.8
- add missing _DEFAULT_SOURCE check in XpmI.h

* Thu Aug 11 2016 luigiwalser <luigiwalser> 2.3.6-1.mga6
+ Revision: 1045521
- 2.3.6

* Mon May 09 2016 luigiwalser <luigiwalser> 2.3.5-1.mga6
+ Revision: 1011627
- remove upstreamed patch 8
- rediff patch 9
- 2.3.5

* Sat Feb 06 2016 umeabot <umeabot> 2.3.4-7.mga6
+ Revision: 941277
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.3.4-6.mga5
+ Revision: 748780
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2.3.4-5.mga5
+ Revision: 727342
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 2.3.4-4.mga5
+ Revision: 682603
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 2.3.4-3.mga4
+ Revision: 525892
- Mageia 4 Mass Rebuild

* Sun Jun 02 2013 fwang <fwang> 2.3.4-2.mga4
+ Revision: 434934
- rebuild for new libpng

* Sun Feb 17 2013 cjw <cjw> 2.3.4-1.mga3
+ Revision: 398796
- rename to motif and move to core since it is now LGPLv2+
- fix url, license, summary
- 2.3.4
- rename library package to libxm
- add separate libmrm and libuil packages
+ luigiwalser <luigiwalser>
- further fix for automake 1.13
- fix for automake 1.13
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jun 24 2011 cjw <cjw> 2.3.3-1.mga2.nonfree
+ Revision: 112874
- imported package openmotif

